Index: res/res_calendar.c
===================================================================
--- res/res_calendar.c	(revision 293272)
+++ res/res_calendar.c	(working copy)
@@ -50,7 +50,7 @@
 		<syntax>
 			<parameter name="calendar" required="true" />
 		</syntax>
-    	<description>
+		<description>
 			<para>Check the specified calendar's current busy status.</para>
 		</description>
 	</function>
@@ -158,6 +158,18 @@
 		<description>
 			<para>Example: CALENDAR_WRITE(calendar,field1,field2,field3)=val1,val2,val3</para>
 			<para>The field and value arguments can easily be set/passed using the HASHKEYS() and HASH() functions</para>
+			<variablelist>
+				<variable name="CALENDARSTATUS">
+					<para>This is the status to the write's operation to the calendar</para>
+					<value name="SUCCESS" >
+						If the event was successfully written to the calendar.
+					</value>
+					<value name="FAILURE" >
+						In case the network was unreachable, no permissions, etc.
+					</value>
+				</variable>
+			</variablelist>
+
 		</description>
 	</function>
 
@@ -1352,6 +1364,9 @@
 
 	if((ret = cal->tech->write_event(event))) {
 		ast_log(LOG_WARNING, "Writing event to calendar '%s' failed!\n", cal->name);
+		pbx_builtin_setvar_helper(chan, "CALENDARSTATUS", "FAILURE");
+	} else {
+		pbx_builtin_setvar_helper(chan, "CALENDARSTATUS", "SUCCESS");
 	}
 
 write_cleanup:
Index: res/res_calendar_caldav.c
===================================================================
--- res/res_calendar_caldav.c	(revision 293272)
+++ res/res_calendar_caldav.c	(working copy)
@@ -243,9 +243,13 @@
 	ast_str_set(&subdir, 0, "%s%s.ics", pvt->url[strlen(pvt->url) - 1] == '/' ? "" : "/", event->uid);
 
 	response = caldav_request(pvt, "PUT", body, subdir, "text/calendar");
+	ast_debug(10, "response=%s\n", (char *)response);
+	if (response) {
+		ret = 0;
+	} else {
+		ret = -1;
+	}
 
-	ret = 0;
-
 write_cleanup:
 	if (body) {
 		ast_free(body);
